## debian-edu-config 1.425

=== Makefile ===
PACKAGE = debian-edu-config

PROGS = cfengine-debian-edu \
        update-ini-file update-hostname-from-ip \
	debian-edu-hd-warn \
	debian-edu-ltsp debian-edu-pxelinux.cfg ltsp-arch-debian-edu

SPROGS = debian-edu-restart-services \
	debian-edu-test-install ltsp-make-client \
        debian-edu-fsautoresize debian-edu-etc-svk \
        debian-edu-pxeinstall

INSTALL     = install -D -p -m 755
INSTALL_DATA= install -D -p -m 644

prefix     = /usr/local
sysconfdir = /etc
cfdir      = $(sysconfdir)/cfengine/debian-edu
bindir     = $(prefix)/bin
sbindir    = $(prefix)/sbin
docdir     = $(prefix)/share/doc/$(PACKAGE)
mandir     = $(prefix)/share/man
ldapdir    = $(sysconfdir)/ldap
schemadir  = $(ldapdir)/schema
dhcp3dir   = $(sysconfdir)/dhcp3
libdir     = /usr/lib
pkglibdir  = $(libdir)/debian-edu-config
mailcapdir = $(libdir)/mime/packages
vardir     = /var


CFFILES = \
	cf.apache2 \
	cf.apt \
	cf.pdns \
	cf.cfengine \
	cf.cups \
	cf.dhcpserver \
	cf.exim \
	cf.imap \
	cf.homes \
	cf.inetd \
	cf.kdm \
	cf.ldapserver \
	cf.ldapclient \
	cf.locale \
	cf.ltsp \
	cf.fstab \
	cf.mplayer \
	cf.nagios3 \
	cf.ntp \
	cf.samba \
	cf.squid \
	cf.syslog \
	cf.sysstat \
	cfd.conf \
	cfengine.conf

CFBINFILES = \
	cfd \
	cfrunhosts.pl

# Files to install in /etc/
SYSCONFFILES = \
	apt/apt.conf.d/99-edu-prefer-iceweasel \
	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
	X11/Xsession.d/10debian-edu-one-login-per-host \
	X11/Xsession.d/10debian-edu-set-umask \
	desktop-profiles/debian-edu-config.listing \
	courier/authldaprc-debian-edu \
	courier/imapd-debian-edu.cnf \
	debian-edu/hd-warn.conf \
	debian-edu/nightkill.conf \
	debian-edu/lts.conf.dist \
	default/backdoor \
	default/munin-node \
	cfengine/cfservd.conf \
	cfengine/update.conf \
	cfengine/inputs/cfagent.conf \
	cups/cupsd-debian-edu.conf \
	dhclient-exit-hooks \
	dhcp3/dhcpd-debian-edu.conf \
	dhcp3/dhclient-debian-edu.conf \
	exim/exim-ldap-client.conf \
	exim/exim-ldap-server.conf \
	exim4/exim-ldap-client-v4.conf \
	exim4/exim-ldap-server-v4.conf \
	filesystems \
	ldap/rootDSE-debian-edu.ldif \
	ldap/slapd-lenny_debian-edu.conf \
	ldap/ssl/slapd-cert.cnf \
	pam.d/common-auth-debian-edu \
	pam.d/common-auth-ldap-debian-edu \
	pam.d/common-account-ldap-debian-edu \
	pam.d/common-password-ldap-debian-edu \
	pam.d/common-session-winbind-debian-edu \
	pam.d/common-account-winbind-debian-edu \
	pam.d/common-auth-winbind-debian-edu \
	pam.d/common-password-winbind-debian-edu \
	pam.d/common-session-debian-edu \
	usbmount/usbmount-debian-edu.conf \
	samba/netlogon/login.bat \
	samba/netlogon/shortcut.vbs \
	samba/smb-debian-edu.conf \
	samba/smb-winbind-debian-edu.conf \
	security/pam_mount-winbind-debian-edu.conf \
	security/pam_mount-stateless-debian-edu.conf \
	krb5-winbind-debian-edu.conf \
	lsb-release \
	apache2/mods-available/debian-edu-userdir.conf \
	apache2/sites-available/debian-edu-default \
	apache2/sites-available/debian-edu-ssl-default \
	apache2/conf.d/debian-edu-config-doc \
	nagios3/debian-edu/cgi.cfg \
	nagios3/debian-edu/commands.cfg \
	nagios3/debian-edu/contactgroups.cfg \
	nagios3/debian-edu/contacts.cfg \
	nagios3/debian-edu/dependencies.cfg \
	nagios3/debian-edu/htpasswd.users \
	nagios3/debian-edu/escalations.cfg \
	nagios3/debian-edu/hostextinfo.cfg \
	nagios3/debian-edu/hostgroups.cfg \
	nagios3/debian-edu/hosts.cfg \
	nagios3/debian-edu/host_templates.cfg \
	nagios3/debian-edu/nagios.cfg \
	nagios3/debian-edu/resources.cfg \
	nagios3/debian-edu/serviceextinfo.cfg \
	nagios3/debian-edu/servicegroups.cfg \
	nagios3/debian-edu/services.cfg \
	nagios3/debian-edu/service_templates.cfg \
	nagios3/debian-edu/timeperiods.cfg \
	munin/debian-edu-munin-node.conf\
	powerdns/pdns.d/pdns-debian-edu.conf


LIBFILES = \
	mime/packages/debian-edu-mailcap

SYSCONFSCRIPTS = \
	shutdown-at-night/clients-generator \
	resolvconf/update.d/bind-debian-edu \
	X11/Xsession-debian-edu \
	samba/smbaddclient.pl

SCHEMAS = \
	samba.schema \
	samba-2.2.x.schema \
	courier.schema \
	automount-debian-edu.schema \
	dhcp.schema \
	lis.schema

LDIFS = \
	root.ldif \
	autofs.ldif \
	netgroup.ldif \
	dhcp.ldif \
	dns_skole.ldif \
	dns_arpa.ldif 

LDAPPROGRAMS = \
	ldappasswd2 \
	ldap2netgroup \
	ldap-debian-edu-install \
	ldap-server-getcert \
	samba-debian-edu-admin \
	mkslapdcert

VARFILES = \
	www/index.html.de \
	www/index.html.en \
	www/index.html.es \
	www/index.html.fr \
	www/index.html.no \
	www/index.html.nl \
	www/index.html.ru \
	www/skl-ren_css.css \
	www/logo-trans.png \
	www/wpad.dat

KIOSKFILES = \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kalzium.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/chguserpw.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kmplot.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kstars.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-impress.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-writer.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/gcompris.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/gimp-2.2.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kgeography.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/stopmotion.desktop \
	share/debian-edu/students/share/config/kdeglobals \
	share/debian-edu/students/share/config/konqiconviewrc \
	share/debian-edu/students/share/config/uiserverrc \
	share/debian-edu/students/share/services/update_ksycoca \
	share/debian-edu/students/share/config/menus/applications.menu \
	share/debian-edu/students/share/config/menus/kde-applications.menu \
	share/debian-edu/students/share/applications/kalzium.desktop \
	share/debian-edu/students/share/applications/kbruch.desktop \
	share/debian-edu/students/share/applications/klatin.desktop \
	share/debian-edu/students/share/applications/kmplot.desktop \
	share/debian-edu/students/share/applications/kpercentage.desktop \
	share/debian-edu/students/share/applications/kstars.desktop \
	share/debian-edu/students/share/applications/kturtle.desktop \
	share/debian-edu/students/share/applications/kvoctrain.desktop \
	share/debian-edu/students/share/applications/kwordquiz.desktop \
	share/debian-edu/students/share/applications/oocalc.desktop \
	share/debian-edu/students/share/applications/ooimpress.desktop \
	share/debian-edu/students/share/applications/oowriter.desktop  \
	share/debian-edu/root/share/apps/kdesktop/Desktop/tjener.desktop

all:

install: install-testsuite
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
	install -d $(DESTDIR)$(sysconfdir)/exim
	install -d $(DESTDIR)$(sysconfdir)/courier
	install -d $(DESTDIR)$(ldapdir)
	install -d $(DESTDIR)$(dhcp3dir)
	install -d $(DESTDIR)$(mailcapdir)

# program's manpages are autodetected. 
	set -e ; for prog in $(PROGS); do \
		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
		if [ -e "share/man/man1/$$prog.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$prog.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
		fi \
	done
# Using manpages autodetection : 
	set -e ; for sprog in $(SPROGS); do \
		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
		if [ -e "share/man/man8/$$sprog.8" ]; \
		then \
		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
		fi \
	done
	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
	set -e ; for cf in $(CFFILES); do \
		$(INSTALL_DATA) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done
	set -e ; for cf in $(CFBINFILES); do \
		$(INSTALL) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done



	set -e ; for file in $(SYSCONFFILES) ; do \
		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	mkdir -p $(DESTDIR)$(sysconfdir)/init.d
	set -e ; for file in $(SYSCONFSCRIPTS) ; do \
		$(INSTALL) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	set -e ; for file in $(LIBFILES) ; do \
		$(INSTALL_DATA) lib/$$file $(DESTDIR)$(libdir)/$$file; \
	done

	set -e ; for f in share/debian-edu-config/tools/passwd \
		share/debian-edu-config/tools/adduser \
		share/debian-edu-config/tools/debian-edu-winbind \
		share/debian-edu-config/tools/movehome \
		share/debian-edu-config/tools/nightkill.sh \
		share/debian-edu-config/tools/logoutkill.sh \
		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
		share/debian-edu-config/tools/ldapdump.sh \
		share/debian-edu-config/tools/ldap-users.pl \
		share/debian-edu-config/tools/nbdswap-cleanup \
		share/debian-edu-config/tools/nbdquery \
		share/debian-edu-config/tools/qemu-test-network \
		share/debian-edu-config/tools/iceweasel-plugin-support \
	; do \
		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
	done

	set -e ; for f in share/debian-edu/common/share/config/kcookiejarrc \
		share/debian-edu/common/share/apps/kicker/default-apps \
		share/debian-edu/common/share/config/artsmessagerc \
		share/debian-edu/common/share/config/kdeglobals \
		share/debian-edu/common/share/config/kdeprintrc \
		share/debian-edu/common/share/config/kpersonalizerrc \
		share/debian-edu/common/share/config/konquerorrc \
		share/debian-edu/common/share/mimelnk/applnk/msword.desktop \
		share/debian-edu/networked-kde3/share/config/kioslaverc \
		share/debian-edu/networked-kde3/share/config/adept_notifierrc \
		share/debian-edu/thin-client/share/config/kcmartsrc \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

	set -e ; for f in $(KIOSKFILES) ; do \
		$(INSTALL_DATA) "$$f" "$(DESTDIR)/usr/$$f" ; \
	done

	set -e ; for f in \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/000-default-dist \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/002-default-apt-keyring \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/010-http-proxy \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/015-edu-apt-source \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/020-rootpath \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/025-bootprompt-opts \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/031-alsa-sound-pkgs \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/099-progress-log \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab

	set -e ; for f in \
		share/debian-edu-config/rsyslog-clients \
		share/debian-edu-config/rsyslog-collector \
		share/iceweasel/defaults/preferences/debian-edu.js \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

# Using manpages autodetection : 
	set -e ; for program in $(LDAPPROGRAMS) ; do \
		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
		if [ -e "share/man/man1/$$program.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
		fi \
	done
	set -e ; for schema in $(SCHEMAS) ; do \
		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
	done
	set -e ; for ldif in $(LDIFS) ; do \
		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
	done

	set -e ; for file in $(VARFILES) ; do \
		$(INSTALL_DATA) var/$$file $(DESTDIR)/var/$$file ; \
	done

	chmod 700 $(DESTDIR)/var/lib/maildirs/

install-testsuite:
	install -d $(DESTDIR)$(pkglibdir)/testsuite
	set -e ; for test in testsuite/* ; do \
		$(INSTALL) $$test $(DESTDIR)$(pkglibdir)/$$test; \
	done



clean:
	# Remove CVS cruft
	-find . -name '.#*' | xargs rm

dist:
	debuild -us -uc

=== debian/changelog ===
debian-edu-config (1.425) unstable; urgency=low

  [ José L. Redrejo Rodríguez ]
  * updated ldap-debian-edu-install to add ldif files for powerdns
  * added cf/cf.pdns to fix pdns-recursor configuration
  * added ldap-bootstrap/dns ldif files
  * added etc/powerdns/pdns.d/pdns-debian-edu.conf and updated Makefile

  [ Vagrant Cascadian ]
  * Actually install plugin to add keys to the LTSP chroot's apt keyring.
  * Exit cron.hourly script when debian-edu-config is no longer installed by
    checking for presence of debian-edu-fsautoresize and innetgr.
    Patch by Filippo Giunchedi <filippo@debian.org> (Closes: #493338)
  * Remove most traces of lessdisks, as it was removed from Debian.
  * Use invoke-rc.d to reload bind in resolvconf script, so that it respects
    the policy layer (and fixes lintian warning).
  * Call update-mime without full path in postinst, as suggested by Debian
    Policy 6.1.
  * purge Packages and Release files that debootstrap may have copied
    incorrectly, which prevents apt from fetching the correct Packages files
    when installing from NETINST CD
  * add ltsp-build-client plugin (backported from upstream) so that it respects
    http proxy settings for apt when building ltsp chroot 
  * update Standards-Version to 3.8.1, no changes needed. 
  * update debian/compat to version 7, as older versions are no longer used.
  * build-depend on debhelper >= 7 
  * add "set -e" to preinst, so that errors stop package from installing
  * lower priority to extra, as it depends on several packages that are
    priority extra, to comply with debian policy 2.5.

  [ Holger Levsen ]
  * Add depends to net-tools.
  * Remove cf.bind9 and etc/bind - we don't need it anymore.
  * Rename testsuite/bind9-dns to testsuite/dnsd. 
  * Cleanup and fix cf/cfengine.conf so that cf.pdns is executed.
  * Include patch from John Skogtvedt to ldap-bootstrap/dhcp.ldif to enhance 
   the LDAP structure to work better with the changes in lwat adding support
   for managing DHCP with lwat.
   - Fix wrong filename on cn=INTERNAL
   - Add another dhcpGroup to cn=INTERNAL, because of the 250-host dhcpGroup 
    limit (there is room for more than 250 hosts on the 10.0.2.0/23 network)
   -  Remove all per-host filenames. It's confusing and a source of errors
      if the filename on dhcpSharedNetwork/dhcpGroup is changed and only a few
      hosts have filename set.

  [ Luk Claes ]
  * Fix Italian translation: s/nagios2/nagios3/.
  * Remove obsolete nagios2 stuff.

  [ Petter Reinholdtsen ]
  * Replace pam_foreground with pam_ck_connector.so in
    etc/pam.d/common-session-debian-edu, to move to consolekit instead
    of pam-foreground for tracking sessions for device access.
  * Extend the README with ideas for LDAP based client configuration.
  * Adjust debian-edu-pxeinstall to handle memtest86+ as well as
    memtest86.
  * Extend debian-edu-pxeinstall to fetch boot images from the
    d-i-bootimages package if it is installed.

  [ Oded Naveh ]
  * Install override plugin to remove existing chroot at before-install.
    This plugin is primarily intended to serve during system installation.

  [ Vagrant Cascadian ]
  * only delete existing LTSP chroot if --purge-chroot commandline option is
    specified. 
  * ltsp-build-client plugins: default --purge-chroot to true when CD install
    is detected

  [ Ronny Aasen ]
  * change loglevel of ldap server from 0 to none, to get critical errors in
    the log.
  * change the server check of cfengine, to look for the Main-Server string in    
    /etc/debian-edu/config. checking of named is useless after we replaced
    bind.
  * add bind, and pdns checks to cfengine. and use it in the bind cf script. 
  * Adapt smbaddclient.pl to tbldump output in lenny, while keeping backwards 
    compatibility. 
  * add some common samba indexes to slapd-lenny_debian-edu.conf

  [ Daniel Hess ]
  * Update samba.schema from Samba version found in Lenny.
    The Samba version found in Lenny uses some new attributes not yet
    supported by out LDAP setup.
  * Allow smbadmin (the administrative user used by Samba) to access
    some more attributes. The Samba version in Lenny seems to be very
    unhappy if it can not add or modify this attributes.
  * Load (include) dnsdomain2.schema on slapd-lenny_debian-edu.conf
    needed by powerdns.
  * Correct webcache cname and add some cnames of tjener to ldap
  * Fix pdns cfengine script to really change local-port of recursor.
  * Add SRV records for _ldap and _syslog to the LDAP DNS bootstrap
    file. Fixes libnss-ldapd lookups with 'uri DNS' configuration.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Tue, 12 May 2009 22:01:23 -0700

debian-edu-config (1.424) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Make sure samba test is executed also on combined servers.
  * When copying the host sources.list, avoid cdrom entries to try to
    get the installation working with netinst CD.
  * Make iceweasel the default browser, as it handle multimedia and
    flash pages better than konqueror.
    - Use it as the x-www-browser alternative using
      etc/apt/apt.conf.d/99-edu-prefer-iceweasel.
    - Tell KDE to use it as its default browser in
      /usr/share/debian-edu/common/share/config/kdeglobals.
    - Make it show up in the KDE panel instead of konqueror for all
      users using
      /usr/share/debian-edu/common/share/apps/kicker/default-apps.
  * Add OOo Writer to the default KDE panel.
  * Existing LDAP SSL certificate should only be a warning, not an
    error.  This avoid an error report during installation when both
    cfengine runs work as they should.
  * Increase lifetime of OpenLDAP SSL certificate from 30 days to 10
    years.
  * Add cfengine rule to remove the generated /var/www/index.html blocking
    our translated web pages.
  * Restructure debian-edu-pxeinstall, moving pxelinux.0 from
    /var/lib/tftpboot/debian-edu/ to /var/lib/tftpboot/ and changes


=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: extra
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Finn-Arne Johansen <faj@bzz.no>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Klaus Ade Johnstad <klaus@skolelinux.no>, Patrick Winnertz <winnie@debian.org>, Vagrant Cascadian <vagrant@freegeek.org>
Standards-Version: 3.8.1
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: po-debconf
Homepage: http://www.skolelinux.org
Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-config/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/debian-edu-config/
XS-DM-Upload-Allowed: yes

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends}, cfengine2, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host, desktop-profiles, lsb-base, ssl-cert, openssl, libfilesys-df-perl, libtext-unaccent-perl, libhtml-fromtext-perl, libio-socket-ssl-perl, lsof, discover | discover1, resolvconf, atftpd | tftpd-hpa, tftp | tftp-hpa, debian-edu-artwork, etcinsvk, net-tools
Recommends: syslinux [i386 amd64], memtest86 [i386 amd64]
Replaces: ldap-skolelinux, cfengine-skolelinux, ncs
Provides: cfengine-skolelinux, ncs
Conflicts: ldap-skolelinux (<= 0.1-83), cfengine-skolelinux (<= 0.338), debian-edu-install (<= 0.616), samba (<<3.0.0), ncs
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=debian-edu-config

DESTDIR=`pwd`/debian/debian-edu-config

build:
	$(checkdir)

	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	$(MAKE) clean
	dh_clean

binary-arch: 

binary-indep: checkroot build
	$(checkdir)
	dh_testdir
	dh_testroot
	install -d $(DESTDIR)
	cd $(DESTDIR) && install -d `cat ../dirs`
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)
	dh_installdebconf
	dh_installdocs
	dh_installdirs
	dh_installcron
	dh_installinit --init-script resize_lvm -r --no-start -u"start 32 S ."
	dh_installinit --init-script open-backdoor
	# Start it after 91apache
	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
	dh_installinit --init-script boot_xconf --no-start -u"start 20 2 3 4 5 ."
	dh_installinit --init-script enable-nat --no-start
	# Should start before syslog, to make sure the correct hostname is used in logs
	dh_installinit --init-script update-hostname --no-start -u"start 05 2 3 4 5 ."
	dh_installinit --init-script start-wlan --no-start
	dh_installinit --init-script report-reboot -r --no-start -u"start 20 2 3 4 5 ."
	dh_installchangelogs
	#dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
	#dh_link /etc/apache2/mods-available/userdir.load /etc/apache2/mods-available/debian-edu-userdir.load
	dh_link
	dh_gencontrol
	dh_gconf  --priority=50
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## debian-edu-config 1.432

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,10 @@
 
 SPROGS = debian-edu-restart-services \
 	debian-edu-test-install ltsp-make-client \
+        debian-edu-ltsp-audiodivert \
         debian-edu-fsautoresize debian-edu-etc-svk \
-        debian-edu-pxeinstall
+        debian-edu-update-netblock \
+        debian-edu-pxeinstall snakeoil-on-ice debian-edu-hwsetup
 
 INSTALL     = install -D -p -m 755
 INSTALL_DATA= install -D -p -m 644
@@ -27,6 +29,7 @@
 pkglibdir  = $(libdir)/debian-edu-config
 mailcapdir = $(libdir)/mime/packages
 vardir     = /var
+wwwdir     = /etc/debian-edu/www
 
 
 CFFILES = \
@@ -39,12 +42,14 @@
 	cf.exim \
 	cf.imap \
 	cf.homes \
+	cf.iceweasel \
 	cf.inetd \
 	cf.kdm \
 	cf.ldapserver \
 	cf.ldapclient \
 	cf.locale \
 	cf.ltsp \
+	cf.lwat \
 	cf.fstab \
 	cf.mplayer \
 	cf.nagios3 \
@@ -62,10 +67,12 @@
 
 # Files to install in /etc/
 SYSCONFFILES = \
+	asound.conf \
 	apt/apt.conf.d/99-edu-prefer-iceweasel \
 	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
 	X11/Xsession.d/10debian-edu-one-login-per-host \
 	X11/Xsession.d/10debian-edu-set-umask \
+	X11/Xsession.d/15debian-edu-ltsp \
 	desktop-profiles/debian-edu-config.listing \
 	courier/authldaprc-debian-edu \
 	courier/imapd-debian-edu.cnf \
@@ -98,7 +105,6 @@
 	pam.d/common-auth-winbind-debian-edu \
 	pam.d/common-password-winbind-debian-edu \
 	pam.d/common-session-debian-edu \
-	usbmount/usbmount-debian-edu.conf \
 	samba/netlogon/login.bat \
 	samba/netlogon/shortcut.vbs \
 	samba/smb-debian-edu.conf \
@@ -130,8 +136,8 @@
 	nagios3/debian-edu/service_templates.cfg \
 	nagios3/debian-edu/timeperiods.cfg \
 	munin/debian-edu-munin-node.conf\
-	powerdns/pdns.d/pdns-debian-edu.conf
-
+	powerdns/pdns.d/pdns-debian-edu.conf\
+	dbus-1/system.d/hal-debian-edu.conf
 
 LIBFILES = \
 	mime/packages/debian-edu-mailcap
@@ -139,6 +145,7 @@
 SYSCONFSCRIPTS = \
 	shutdown-at-night/clients-generator \
 	resolvconf/update.d/bind-debian-edu \
+	resolvconf/update.d/ltsp-chroots \
 	X11/Xsession-debian-edu \
 	samba/smbaddclient.pl
 
@@ -156,7 +163,8 @@
 	netgroup.ldif \
 	dhcp.ldif \
 	dns_skole.ldif \
-	dns_arpa.ldif 
+	dns_arpa.ldif \
+	dns_ranges.ldif
 
 LDAPPROGRAMS = \
 	ldappasswd2 \
@@ -166,17 +174,17 @@
 	samba-debian-edu-admin \
 	mkslapdcert
 
-VARFILES = \
-	www/index.html.de \
-	www/index.html.en \
-	www/index.html.es \
-	www/index.html.fr \
-	www/index.html.no \
-	www/index.html.nl \
-	www/index.html.ru \
-	www/skl-ren_css.css \
-	www/logo-trans.png \
-	www/wpad.dat
+WWWFILES = \
+	index.html.de \
+	index.html.en \
+	index.html.es \
+	index.html.fr \
+	index.html.no \
+	index.html.nl \
+	index.html.ru \
+	skl-ren_css.css \
+	logo-trans.png \
+	wpad.dat
 
 KIOSKFILES = \
 	share/debian-edu/students/share/apps/kdesktop/Desktop/kalzium.desktop \
@@ -237,15 +245,18 @@
 		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
 		fi \
 	done
+
 	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
+
+	$(INSTALL_DATA) doc/examples/smb-roaming-profiles-en.conf $(DESTDIR)$(docdir)/examples/smb-roaming-profiles-en.conf
+	$(INSTALL_DATA) doc/examples/smb-roaming-profiles-de.conf $(DESTDIR)$(docdir)/examples/smb-roaming-profiles-de.conf
+
 	set -e ; for cf in $(CFFILES); do \
 		$(INSTALL_DATA) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
 	done
 	set -e ; for cf in $(CFBINFILES); do \
 		$(INSTALL) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
 	done
-
-
 
 	set -e ; for file in $(SYSCONFFILES) ; do \
 		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
@@ -272,7 +283,12 @@
 		share/debian-edu-config/tools/nbdswap-cleanup \
 		share/debian-edu-config/tools/nbdquery \
 		share/debian-edu-config/tools/qemu-test-network \
+		share/debian-edu-config/tools/run-at-firstboot \
 		share/debian-edu-config/tools/iceweasel-plugin-support \
+		share/debian-edu-config/tools/pipegraph \
+		share/debian-edu-config/tools/squid-update-cachedir \
+		share/debian-edu-config/ltsp_set_runlevel \
+		share/debian-edu-config/ltsp_local_mount \
 	; do \
 		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
 	done
@@ -301,11 +317,13 @@
  share/ltsp/plugins/ltsp-build-client/Debian-custom/000-default-dist \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/002-default-apt-keyring \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/010-http-proxy \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/010-set-resolver \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/015-edu-apt-source \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/020-rootpath \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/025-bootprompt-opts \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/031-alsa-sound-pkgs \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/035-default-lts-conf \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/050-nbdquery \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/099-progress-log \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
@@ -314,8 +332,10 @@
 	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab
 
 	set -e ; for f in \
-		share/debian-edu-config/rsyslog-clients \
+		share/debian-edu-config/rsyslog-client \
 		share/debian-edu-config/rsyslog-collector \
+		share/debian-edu-config/iceweacel-networked-prefs.js \
+		share/debian-edu-config/default-ltsp-client-setup \
 		share/iceweasel/defaults/preferences/debian-edu.js \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
@@ -331,28 +351,3 @@
 	done
 	set -e ; for schema in $(SCHEMAS) ; do \
 		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
-	done
-	set -e ; for ldif in $(LDIFS) ; do \
-		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
-	done
-
-	set -e ; for file in $(VARFILES) ; do \
-		$(INSTALL_DATA) var/$$file $(DESTDIR)/var/$$file ; \
-	done
-
-	chmod 700 $(DESTDIR)/var/lib/maildirs/
-
-install-testsuite:
-	install -d $(DESTDIR)$(pkglibdir)/testsuite
-	set -e ; for test in testsuite/* ; do \
-		$(INSTALL) $$test $(DESTDIR)$(pkglibdir)/$$test; \
-	done
-
-
-
-clean:
-	# Remove CVS cruft
-	-find . -name '.#*' | xargs rm
-
-dist:
-	debuild -us -uc

=== debian/changelog ===
debian-edu-config (1.432) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Adjust nbdquery, make sure to throw away error messages from lsof
    to avoid passing noise to nbdswap-cleanup.
  * Correct URL used in chguserpw.desktop, to use https://www/lwat
    instead of https://tjener/, to make sure the Icewease SSL overrides
    take effect when visiting the password change page.
  * Add ltsp test checking the Debian Edu profile setting in
    /opt/ltsp/arch/etc/debian-edu/config, to detect problem discovered
    by Ole-Anders Andreassen.
  * Adjust ltsp-make-client used to improve LTSP based diskless
    workstations:
    - Correct typo, copy the cert_override.txt file without --parent.
    - Report content of host resolv.conf when DNS lookup fail, to make
      it easier to debug.
    - Send messages to stdout instead of stderr, to avoid reordering
      of messages because of independend buffering of stdout and
      stderr.
    - Bind-mount the APT cache earlier, to make sure it is used for
      all package installations.
    - Add more status reporting to make it easier to figure out when
      the script fail, if it fails.
    - Move diskless workstation specific init.d scripts to
      /usr/share/debian-edu-config/ and symlink them in place to make
      sure the files belong to a package and can be bugfixed using the
      normal upgrade mechanism.
    - Avoid boot warning when booting non-laptop diskless workstations
      by only making /var/lib/acpi-support writable if it exist.
    - Do not install libpam-mount and smbfs, until someone can explain
      why they are needed on the default diskless workstations setup.
      They are missing on the DVD and give different diskless
      workstation environment when installing from DVD and netinst Cd.
    - Insert new init.d scripts after enabling and disabling init.d
      scripts, to make sure update-rc.d reorder the boot sequence
      based on dependencies.  This solve slow boot and USB mount
      issues on diskless workstations.
    - Disable the xdebian-edu-firstboot init.d script, it is not
      needed on LTSP clients.
    - Drop rule to disable now removed init.d script boot_xconf.
  * Add resolvconf update script to copy the current /etc/resolv.conf
    to the LTSP chroots when it changes, to make sure apt and other
    tools work in the chroots.
  * Update Nagios configuration:
    - Add check for swap usage, report warning when less than 10% is
      free, and critical when less tha 5% is free.
    - Change process count warning and criticial limits from 250/400
      to 500/1000, as a thin client server easily will reach the 250
      process limit.
    - Change check for DNS to look up the DNS server address instead
      of www.skolelinux.org, to make sure the check work also without
      Internet access.
  * Remove now-obsolete configuration and setup for usbmount.  We use
    dbus and hal for this these days.
  * Fix minor typo in snakeoil-on-ice.

  [ Oded Naveh ]
  * Modified snakeoil-on-ice to allow update of an existing override
    file by testing the content of the file not only its existence.

 -- Holger Levsen <holger@debian.org>  Mon, 11 Jan 2010 22:48:19 +0100

debian-edu-config (1.431) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Adjust ltsp-make-client used to improve LTSP based diskless
    workstations:
    - Purge lvm2 from the LTSP chroot, to avoid hang during shutdown
      (Solves skolelinux bug #1403).
    - Do not add '@include common-pammount' in pam.d/kdm, as
      /etc/pam.d/common-pammount is missing and including a
      non-existing file is a fatal error for PAM.
    - Make sure to look for the same /etc/exports entry as cfengine
      inserts, to make sure duplicate entries are not inserted.
    - Make sure /var/lib/acpi-support/ is writable, for acpi-support
      to be able to write its status files.
    - Fix minor typo in code copying /etc/environment to LTSP chroot.
  * Enable diskless workstations on all thin-client-server
    installations, not only combined main-server+thin-client-server.
  * Adjust debian-edu-pxeinstall to improve the PXE installation
    experience:
    - Write default PXE menu to debian-edu/ instead of pxelinux.cfg/,
      and write default menus for diskless workstations and thin
      clients to make it easier to change this after installation.
    - Remove redundant mkdir calls.
    - Rewrite preseed/early_command to parse the Package list to find
      the latest udebs to install, to avoid having to maintain a list
      of extra udebs to install on ftp.skolelinux.org.  Based on code
      from Vagrant Cascadian.
    - Correct code used to detect DVD installs.  Grep
      case-IN-sensitive in /etc/apt/sources.list.
    - Mention which desktop will be installed in the PXE menu entry for
      doing installations.
    - Make sure to fetch the upgraded udebs from the test repository
      if the main-server installation was using a test build.
  * Adjust the xorg.conf file generated for HP Mini 2133 by
    debian-edu-hwsetup, to make its formatting match the file
    generated by xdexconf, to make it easier to compare the two.
    Rewrite how the keyboard layout is detected to try to get it
    working.
  * Add SuspendTime=60 to arts configuration used with thin client
    logins, to make the setting consistent with the value currently
    used.
  * Rewrite sound setup for thin clients to use Pulseaudio and ALSA
    forwarding to Pulseaudio for everything using ALSA, and divert
    binaries and add wrappers using padsp for audacity and gtick to
    get these packages currently using OSS /dev/dsp by default to
    work.  Keeping ESD configuration for KDE on thin clients, as it
    did not work without it.  Need to find fix for kmix on thin clients.
    (Solves skolelinux bug #1370)
  * Extend self test of LTSP to verify that the packages we want to
    have installed in LTSP is installed in LTSP.  Depend on


=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: extra
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Finn-Arne Johansen <faj@bzz.no>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Klaus Ade Johnstad <klaus@skolelinux.no>, Patrick Winnertz <winnie@debian.org>, Vagrant Cascadian <vagrant@freegeek.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: po-debconf
Homepage: http://www.skolelinux.org
Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-config/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/debian-edu-config/
XS-DM-Upload-Allowed: yes

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends}, cfengine2, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host, desktop-profiles, lsb-base, ssl-cert, openssl, libfilesys-df-perl, libtext-unaccent-perl, libhtml-fromtext-perl, libio-socket-ssl-perl, lsof, discover | discover1, resolvconf, tftp | tftp-hpa, debian-edu-artwork, education-tasks (>= 0.842~svn60380), etcinsvk, net-tools, patch, xresprobe [i386 amd64]
Recommends: syslinux [i386 amd64], memtest86+ [i386 amd64]
Suggests: atftpd | tftpd-hpa
Replaces: ldap-skolelinux, cfengine-skolelinux, ncs
Provides: cfengine-skolelinux, ncs
Conflicts: ldap-skolelinux (<= 0.1-83), cfengine-skolelinux (<= 0.338), debian-edu-install (<= 0.616), samba (<<3.0.0), ncs
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.
